Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.delegation.taxonomy
Interface TaxonomyBuilder

All Superinterfaces
  Serializable

All Known Implementing Classes:
  AdContentProviderTaxonomy, AdServiceTaxonomy, AssignedItemsTaxonomy, AssignedItemTaxonomy, AtnHierarchyServiceTaxonomy, AtnSecurityProviderServiceTaxonomy, AtnSecurityProviderTaxonomy, AuthenticationProvidersTaxonomy, AuthenticationProviderTaxonomy, BehaviorTrackingServiceTaxonomy, BookDefinitionTaxonomy, BookInstanceTaxonomy, CampaignServiceTaxonomy, CampaignsRootTaxonomy, CampaignTaxonomy, CheckedOutItemsTaxonomy, CheckedOutItemTaxonomy, CommunitiesTaxonomy, CommunitiesTemplatesTaxonomy, CommunityDefinitionTaxonomy, CommunityTemplateTaxonomy, ContentSelectorsRootTaxonomy, ContentSelectorTaxonomy, ContentWorkSpaceRootTaxonomy, CredentialVaultTaxonomy, DARootTaxonomy, DesktopDefinitionTaxonomy, com.bea.portal.tools.da.taxonomy.portal.DesktopTaxonomy, DesktopTemplatesTaxonomy, DesktopTemplateTaxonomy, EventServiceTaxonomy, GroupRootTaxonomy, GroupTaxonomy, LayoutTaxonomy, LibraryBooksTaxonomy, LibraryLayoutsTaxonomy, LibraryLookAndFeelsTaxonomy, LibraryMenusTaxonomy, LibraryPagesTaxonomy, LibraryPortletCategoriesTaxonomy, LibraryPortletInstancesTaxonomy, LibraryPortletsTaxonomy, LibraryRemoteProducersTaxonomy, LibraryShellsTaxonomy, LibraryTaxonomy, LibraryTemplatesTaxonomy, LibraryThemesTaxonomy, LookAndFeelTaxonomy, MailServiceTaxonomy, MaintenanceModeTaxonomy, MenuTaxonomy, NodeParentTaxonomy, NodeTaxonomy, P13nCacheConfigTaxonomy, P13nCacheTaxonomy, P13nConfigTaxonomy, P13nProfileConfigTaxonomy, P13nSecurityConfigTaxonomy, PageInstanceTaxonomy, PageTaxonomy, PaginationElementTaxonomyBuilder, ParentedTaxonomyBuilder, PlaceholdersRootTaxonomy, PlaceholderTaxonomy, PortalResourcesTaxonomy, PortalRootTaxonomy, PortalsTaxonomy, PortalTaxonomy, PortalTemplatesTaxonomy, PortletCategoryTaxonomy, PortletInstanceTaxonomy, PortletLibraryInstanceTaxonomy, PortletTaxonomy, ProducerTaxonomy, PropertyAdapterTaxonomy, PropertyTaxonomy, QueryDefinitionTaxonomy, RepositoryInRepoModeTaxonomy, RepositoryInTypeModeTaxonomy, RepositoryTaxonomy, RoleMappersTaxonomy, RoleProviderTaxonomy, RoleSecurityProviderServiceTaxonomy, RoleSecurityProviderTaxonomy, RuleTaxonomy, ScenarioServiceTaxonomy, ScenarioTaxonomy, SecurityProvidersRootTaxonomy, SegmentsRootTaxonomy, SegmentTaxonomy, ServiceAdminRootTaxonomy, ShellTaxonomy, SimpleTaxonomyBuilder, ThemeTaxonomy, ToolsTreeNodeTaxonomyBuilder, TypeTaxonomy, UserRootTaxonomy, UserTaxonomyBuilder, VirtualContentRepositoryRootTaxonomy, VisitorRolesRootTaxonomy, VisitorRoleTaxonomy, WorkflowsFolderTaxonomy, WorkflowTaxonomy, WpsConfigTaxonomy, WsrpConfigTaxonomy, WsrpConsumerSecurityTaxonomy, WsrpProducerPortletRegistryTaxonomy

    public interface TaxonomyBuilder

extends Serializable

Interface for classes which are responsible for building a taxonomy String based on various resources and relationships between resources.

Field Summary
`static String` | `TAXONOMY_DELIMITER`

Method Summary
`StringBuilder` | `buildTaxonomy()` Builds the taxonomy String associated with this `TaxonomyBuilder`.
`int` | `getTaxonomyLevel()` Returns the taxonomy depth for a given taxonomy

Field Detail

### TAXONOMY_DELIMITER

    static final String TAXONOMY_DELIMITER

See Also
  Constants Summary

Method Detail

### buildTaxonomy

    StringBuilder buildTaxonomy()

  Builds the taxonomy String associated with this `TaxonomyBuilder`. This may involve other `TaxonomyBuilders` in cases where there is a heirarchical structure to the taxonomy.

  Returns

### getTaxonomyLevel

    int getTaxonomyLevel()

  Returns the taxonomy depth for a given taxonomy

  Returns

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved